<?xml version="1.0" encoding="utf-8" ?>
<configuration>

	<!--
		envvar is the ENVVAR for the application server job. If you utilize the RPG/JAVA instead of the IceBreak native java,
		you can set up the RPG/JAVA classpath and propertylist here. Don't confuse this by the java tag whic is only for IceBreak native JVM.
		Other envvar like PATH etc can be set here if you are using QSH, PASE or other unix like feature relying on environment vars.
	     Note!! envvars are case sensitive
	 -->

	<envvar>
		<!-- Java parameters -->
		<var name="JAVA_HOME" value="/qopensys/QIBM/ProdData/JavaVM/jdk626/32bit"/>
		<var name="QIBM_RPG_JAVA_PROPERTIES" value="-Djava.awt.headless=true;-Dos400.stderr=file:stderr.txt;-Dos400.stdout=file:stdout.txt;"/>

		<!-- Sitemule parameters -->
		<var name="MODELPATH"    value="/www/ip2/customized:/www/ip2/shared:/www/portfolio" />
		<var name="MODELDATALIB" value="IP2DB" />
	</envvar>


	<envvar>
	</envvar>

	<upload>
		<map alias="upload" path="/www/ip2/shared/uploads" />
	</upload>

	<contentEncoding
		type="GZIP"
		threshold="40960"
		dontCompress="gif,jpeg,jpg,png"
	/>

	<content
		defaultCharset="utf-8"
		serveAlwaysUTF8="true"
                serveAlwaysChunks="false" />

	<!-- DETTE er en update test -->

	<!--
		Any additional response headers required to make you application work.
		These headers are added for both static and dynamic responses ( bothe the webserver and the application server provide these headers
	-->
	<headers>
		<var name="Access-Control-Allow-Origin" value="*" />
		<var name="Access-Control-Allow-Credentials" value="true" />
		<var name="Access-Control-Allow-Methods" value="GET,POST, OPTIONS" />
		<var name="Access-Control-Allow-Headers" value="ORIGIN, X-REQUESTED-WITH, CONTENT-TYPE" />
	</headers>

	<xxheaders>
    <var name="Access-Control-Allow-Origin" value="*" />
    <var name="Access-Control-Allow-Credentials" value="true" />
    <var name="Access-Control-Allow-Methods" value="GET,POST, OPTIONS" />
    <var name="Access-Control-Allow-Headers" value="ORIGIN, X-REQUESTED-WITH, CONTENT-TYPE" />
	</xxheaders>


	<xxsession
		xxexitPgm="SVCUDV/ICESESSION"
		defaultgm="*LIBL/SVCDEFAULT"
	/>

	<xxrouting strict="false">
		<map pattern="(router\/)" pgm="router" lib="*LIBL" />
	</xxrouting>

	<!-- WE NEED TO SET HIVE IN ORDER FROM HIGHEST TO LOWEST IF WE WANT SUB HIVES -->
	<hives>

		<map alias="portfolio"
			path="/www/portfolio/"
			lib="*LIBL"
		/>

		<map alias="ip2Base"
			path="/www/portfolio/"
			lib="*LIBL"
		/>

		<map alias="icecap"
			path="/www/icecap"
			lib="*LIBL"
		/>

		<map alias="ice-cap"
			path="/www/icecap"
			lib="*LIBL"
		/>

		<map alias="icebreak-admin"
			path="/icebreak"
			lib="*LIBL"
		/>

		<map alias="snapOnIcons"
			path="/icebreak/System/images/icons/16x16/"
			lib="*LIBL"
		/>		

		<map alias="ip2-services"
			path="/www/ip2"
			lib="*LIBL"
		/>

		<map alias="wsh-services"
			path="/www/ip2"
			lib="*LIBL"
		/>

		<map alias="wsh-widgets"
			path="/www/ip2/admin/wsh/widgets"
			lib="*LIBL"
		/>

		<map alias="wsh-basexte"
			path="/www/ip2/shared"
			lib="*LIBL"
		/>

		<map alias="wsh-client"
			path="/www/ip2/customized"
			lib="*LIBL"
		/>

		<map alias="pp-static/images/page"
			path="/www/ip2/customized/images/page/"
			LIBL="*LIBL"
			filemanager="true"
			title='{ "da" : "Sider", "en" : "Pages"}'
			iconCls="x-ux-filemanager-images-treenode-page"
			allowDrop="true"
			allowImport="true"
			allowAdd="true"
			saveUrl="false"
		/>

		<map alias="pp-static/images/productlabel"
			path="/www/ip2/customized/images/productlabel/"
			LIBL="*LIBL"
			filemanager="true"
			title='{ "da" : "Produktmærker", "en" : "Product labels"}'
			iconCls="x-ux-filemanager-images-treenode-productlabel"
			allowDrop="true"
			allowImport="true"
			allowAdd="true"
		/>

		<map alias="pp-static/images/product"
			path="/www/ip2/customized/images/product/"
			LIBL="*LIBL"
			filemanager="true"
			title='{ "da" : "Produkter", "en" : "Product"}'
			iconCls="x-ux-filemanager-images-treenode-product"
			allowDrop="true"
			allowImport="true"
			allowAdd="true"
		/>

		<map alias="pp-static/images/documents"
			path="/www/ip2/customized/images/documents/"
			LIBL="*LIBL"
			filemanager="true"
			title='{ "da" : "Dokumenter", "en" : "Documents"}'
			iconCls="x-ux-filemanager-images-treenode-document"
			allowDrop="true"
			allowImport="true"
			allowAdd="true"
		/>

		<map alias="pp-static/images/folder"
			path="/www/ip2/customized/images/folder/"
			LIBL="*LIBL"
			filemanager="true"
			title='{ "da" : "Folder", "en" : "Folder"}'
			iconCls="x-ux-filemanager-images-treenode-folder"
			allowDrop="true"
			allowImport="true"
			allowAdd="true"
		/>

		<map alias="pp-static/images/contactperson"
			path="/www/ip2/customized/images/contactperson/"
			LIBL="*LIBL"
			filemanager="true"
			title='{ "da" : "Kontakter", "en" : "Contacts"}'
			iconCls="x-ux-filemanager-images-treenode-contact"
			allowDrop="true"
			allowImport="true"
			allowAdd="true"
		/>

		<map alias="pp-static/images/courier"
			path="/www/ip2/customized/images/courier/"
			LIBL="*LIBL"
			filemanager="true"
			title='{ "da" : "Transportør", "en" : "Courier"}'
			iconCls="x-ux-filemanager-images-treenode-courier"
			allowDrop="true"
			allowImport="true"
			allowAdd="true"
		/>

		<map alias="pp-static/images/manufacturer"
			path="/www/ip2/customized/images/manufacturer/"
			LIBL="*LIBL"
			filemanager="true"
			title='{ "da" : "Producenter", "en" : "Manufactor"}'
			iconCls="x-ux-filemanager-images-treenode-manufactor"
			allowDrop="true"
			allowImport="true"
			allowAdd="true"
		/>

		<map alias="pp-static/images/site"
			path="/www/ip2/customized/images/site/"
			LIBL="*LIBL"
			filemanager="true"
			title='{ "da" : "Template", "en" : "Template"}'
			iconCls="x-ux-filemanager-images-treenode-template"
			allowDrop="true"
			allowImport="true"
			allowAdd="true"
		/>

		<map alias="pp-static/images/datasheet"
			path="/www/ip2/customized/images/datasheet/"
			LIBL="*LIBL"
			filemanager="true"
			title='{ "da" : "Datablade", "en" : "Datasheet"}'
			iconCls="x-ux-filemanager-images-treenode-document"
			allowDrop="true"
			allowImport="true"
			allowAdd="true"
		/>

		<map alias="pp-static/images/profile"
			path="/www/ip2/customized/images/profile/"
			LIBL="*LIBL"
			filemanager="true"
			title='{ "da" : "Profil", "en" : "Profile"}'
			iconCls="x-ux-filemanager-images-treenode-profile"
			allowDrop="true"
			allowImport="true"
			allowAdd="true"
		/>

		<map alias="pp-static/images"
			path="/www/ip2/customized/images/"
			LIBL="*LIBL"
			filemanager="true"
			title='{ "da" : "CMS", "en" : "CMS"}'
			iconCls="x-ux-filemanager-images-treenode-public"
			allowDrop="false"
			allowImport="false"
			allowAdd="false"
		/>

		<map alias="server-web-images"
			path="/www/ip2/web/Intermediate/scaleImage"
			LIBL="*LIBL"
			filemanager="true"
			title='{ "da" : "Web billeder", "en" : "Web images"}'
			type="system"
			iconCls="x-ux-filemanager-images-treenode-public"
		/>

		<map alias="pp-static"
			path="/www/ip2/customized"
			lib="*LIBL"
		/>

		<map alias="custom-config"
			path="/www/ip2/customized"
			lib="*LIBL"
		/>

		<map alias="frontend"
			path="/www/ip2/web"
		/>
		<map alias="samples"
			path="/www/IceBreak-Samples"
			lib="*LIBL"
		/>

	</hives>

	<mimeTypes>
		<map suffix="css"    contentType="text/css" />
		<map suffix="js"     contentType="application/javascript" />
		<map suffix="json"   contentType="application/json" />
		<map suffix="png"    contentType="image/png" />
		<map suffix="gif"    contentType="image/gif" />
		<map suffix="jpg"    contentType="image/jpeg" />
		<map suffix="jpeg"   contentType="image/jpeg" />
		<map suffix="html"   contentType="text/html" />
		<map suffix="ico"    contentType="image/x-icon" />
		<map suffix="rpgle"  contentType="text/html" callType="PGM"/>
		<map suffix="aspx"   contentType="text/html" callType="PGM"/>
		<map suffix="asp"    contentType="text/html" callType="PGM"/>
		<map suffix="asmx"   contentType="text/html" callType="SRVPGM"/>
		<map suffix="pgm"    contentType="text/html" callType="PGM"/>
		<map suffix="pdf"    contentType="application/pdf" />
		<map suffix="woff"   contentType="application/font-woff" />
		<map suffix="widget" contentType="application/widget" />
		<map suffix="min"    contentType="application/min" />
		<map suffix="map"    contentType="application/map" />
	</mimeTypes>

</configuration>
